import request from '@/utils/request'
// 初始化 项目名称
export function getEntryNameValue() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_项目名称_查询数据',
      param: '考核状态=5=int'
    }
  })
}
// 机床名称
export function getToolNum() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_机床名称_根据机床查询',
      param: '是否传递=2=int&考核状态=5=int&工艺任务分配状态=2=int&定额任务分配状态=2=int&单件是否外协=1=int'
    }
  })
}
// 组号
export function getNum(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_组件名称_查询数据',
      param: '机床流水号=' + num + '=int&是否传递=2=int&考核状态=5=int&工艺任务分配状态=2=int&定额任务分配状态=2=int&单件是否外协=1=int'
    }
  })
}
// 获取表格数据
export function getTable(num, a, b, c, d, e, f, g, pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_能力平衡_查询数据_要平衡的零件',
      param: '项目流水号_check=' + num + '=string&项目流水号=' + a + '=int&机床流水号_check=' + b + '=string&机床流水号=' + c + '=int&组件流水号_check=' + d + '=string&组件流水号=' + e + '=int&零件图号_check=' + f + '=string&零件图号=' + g + '=string&是否查询全部数据=1=string&单件是否外协=1=int&考核状态=5=int',
      Pagination: pageList + '&' + pageSize
    }
  })
}
// 全部选入专用
export function getTable12580(num, a, b, c, d, e, f, g, pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_能力平衡_查询数据_要平衡的零件',
      param: '项目流水号_check=' + num + '=string&项目流水号=' + a + '=int&机床流水号_check=' + b + '=string&机床流水号=' + c + '=int&组件流水号_check=' + d + '=string&组件流水号=' + e + '=int&零件图号_check=' + f + '=string&零件图号=' + g + '=string&是否查询全部数据=1=string&单件是否外协=1=int&考核状态=5=int'
    }
  })
}
// 扫描查询
export function getTable5(pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_能力平衡_查询数据_要平衡的零件_扫描平衡',
      Pagination: pageList + '&' + pageSize
    }
  })
}
// 选入
export function selection(num, a, b, c) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_新排产算法_要排产零件_增加数据',
      param: '工艺计划流水号=' + num + '=int&工序数量=' + a + '=int&排序顺序=' + b + '=string&人员编号=' + c
    }
  })
}
// 选入后查询
export function selection1(a, pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_要排产零件_查询数据',
      param: '人员编号=' + a,
      Pagination: pageList + '&' + pageSize
    }
  })
}
// 全部选出查询专用
export function selection10086(a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_要排产零件_查询数据',
      param: '人员编号=' + a
    }
  })
}
export function selection2(a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_能力平衡_工序信息查询_根据工艺计划流水号',
      param: '工艺计划流水号=' + a + '=int'
    }
  })
}
// 排产
export function discharge(a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_能力平衡_循环执行',
      param: '工艺计划流水号组=' + a
    }
  })
}
// 确定零件计划4.1
export function plan(a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_新排产算法_要排产零件_删除数据',
      param: '工艺计划流水号=' + a + '=int&操作类型=2=int'
    }
  })
}
// 判断板焊
export function han(a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_新排产算法_设备能力_清除占用_板焊后序能力',
      param: '工艺计划流水号=' + a + '=int'
    }
  })
}
// 全部选出
export function allOut(a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_新排产算法_要排产零件_删除数据',
      param: '工艺计划流水号=' + a + '=int&操作类型=1=int'
    }
  })
}
// 是否划为外协
export function out(a, b) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_划为外协',
      param: '工艺计划流水号=' + a + '=int&单件是否外协=' + b + '=int&单件是否外协分类=1=int'
    }
  })
}
// 选出
export function xuanchu(a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_新排产算法_要排产零件_删除数据',
      param: '工艺计划流水号=' + a + '=int&操作类型=1=int'
    }
  })
}
// 板焊
export function platewelding(a, b, c) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改数据_修改板焊工段计划完成时间_new',
      param: '工艺计划流水号=' + a + '=int&板焊工段计划完成时间=' + b + '=string&是否焊接=' + c + '=int'
    }
  })
}
// 确定零件计划  车间生产管理工艺_新排产算法_设备能力_系数有效时间设定
export function partPlan(a, b, c) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_新排产算法_修改数据_机加工时间',
      param: '工艺计划流水号=' + a + '=int&机加工开始时间=' + b + '=string&机加工结束时间=' + c + '=string&state=1=int=output'
    }
  })
}
// 刷新
export function refreshChart(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_调整工序计划_查询数据',
      param: '零件图号=' + num
    }
  })
}
// 更新
export function updateDate(num1, num2, date) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_新排产算法_制定计划_调整计划_增加数据New1',
      param: '工序流水号=' + num1 + '&调整人编号=' + num2 + '&调整计划完成日期=' + date
    }
  })
}
// 查图表1
export function searchChart1(num, start, end) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_调整工序计划_设备情况_查询数据1',
      param: '工序流水号=' + num + '&开始日期=' + start + '&结束日期=' + end
    }
  })
}
// 查图表的表1
export function searchChartTable1(num, start, end) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_调整工序计划_设备情况_查询数据2',
      param: '工序流水号=' + num + '&开始日期=' + start + '&结束日期=' + end
    }
  })
}
// 查图表2
export function searchChart2(start, end, type) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_新排产算法_工时统计_总工时与总能力对比',
      param: '开始=' + start + '&结束=' + end + '&查询类型=' + type
    }
  })
}
// 导出
export function Export(num, a, b, c, d, e, f, g) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_已编制工序的全部零件及工序_New_外协报表',
      param: '项目流水号_check=' + num + '=string&项目流水号=' + a + '=int&机床流水号_check=' + b + '=string&机床流水号=' + c + '=int&组件流水号_check=' + d + '=string&组件流水号=' + e + '=int&零件图号_check=' + f + '=string&零件图号=' + g + '=string&是否查询全部数据=1=string&单件是否外协=1=int&考核状态=5=int'
    }
  })
}
// 主表1外协改变
export function table1Out(num, preOut) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_外协平衡',
      param: '工艺计划流水号=' + num + '&是否预计外协=' + preOut + '&是否预计外协分类=1'
    }
  })
}
// 修改加工件合格时间
export function timeChange(num, a) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_修改数据_修改加工件合格时间',
      param: '工艺计划流水号=' + num + '&加工件合格时间=' + a
    }
  })
}
